# Shell

Section: LessTif Manuals (3)
Updated: October 1998
Index
Return to Main Contents

## NAME

Shell - Shell widget from X Toolkit

## SYNOPSIS

#include <X11/Shell.h>

## DESCRIPTION

Shell is a widget which is defined in the X Toolkit. We document its existence here for completeness. Please refer to the X Window System documentation for the real information regarding this widget.

## X RESOURCES

Name | Class | Type | Default | Access

XtNx | XtCPosition | Position | NULL | CSG
XtNy | XtCPosition | Position | NULL | CSG
XtNdepth | XtCDepth | Int | NULL | CSG
XtNcolormap | XtCColormap | Colormap | NULL | CSG
XtNancestorSensitive | XtCSensitive | Boolean | NULL | CSG
XtNallowShellResize | XtCAllowShellResize | Boolean | NULL | CSG
XtNgeometry | XtCGeometry | String | (null) | CSG
XtNcreatePopupChildProc | XtCCreatePopupChildProc | Function | NULL | CSG
XtNsaveUnder | XtCSaveUnder | Boolean | NULL | CSG
XtNpopupCallback | XtCCallback | Callback | NULL | CSG
XtNpopdownCallback | XtCCallback | Callback | NULL | CSG
XtNoverrideRedirect | XtCOverrideRedirect | Boolean | NULL | CSG
XtNvisual | XtCVisual | Visual | NULL | CSG

XtNx

XtNy

XtNdepth

XtNcolormap

XtNancestorSensitive

XtNallowShellResize

XtNgeometry

XtNcreatePopupChildProc

XtNsaveUnder

XtNpopupCallback

XtNpopdownCallback

XtNoverrideRedirect

XtNvisual

## CLASS HIERARCHY

XObject(3) Rect(3) UnNamedObj(3) XCore(3) Composite(3) XShell(3)

## CALLBACKS

## CONVENIENCE FUNCTIONS

## SEE ALSO

## Index

NAME
SYNOPSIS
DESCRIPTION
X RESOURCES
CLASS HIERARCHY
CALLBACKS
CONVENIENCE FUNCTIONS
SEE ALSO

This document was created by man2html, using the manual pages.